<html lang="pt">
<head>
<title>MuX - WEB</title><meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<!--SISTEMA DE TRANSFERENCIA DE RESETS DESENVOLVIDO POR OTANGER -->
<? session_start();
include 'cnn.php';
include 'conf_trans.php';
$char = ($_POST['char']);
$trans = ($_POST['trans']);
$nometrans = ($_POST['nometrans']);
@$login = $_SESSION['login'];
@$senha = $_SESSION['senha'];
if(!isset($_SESSION['login'])) { echo "Para acessar essa pagina é preciso esta logado!"; }
elseif(!isset($_POST['char'])) { echo "Você precisa escolher um personagem para poder Transferir Resets!"; }
else{
$vip=mssql_fetch_row(mssql_query("select vip from memb_info where memb___id='".$login."'"));
$resetsp=mssql_fetch_row(mssql_query("select resets from Character where Name='".$char."'"));
?>
<?
$tmp = mssql_query ( "select resets from character where Name = '" . $char . "'" );
$pontos = mssql_fetch_row ( $tmp )
?>
<script type="text/javascript">
function Null(){
if(document.form1.trans.value=="") { 
document.form1.trans.value = '0';
    }
if(document.form1.agi.value=="") { 
document.form1.agi.value = '0';
    }
if(document.form1.vit.value=="") { 
document.form1.vit.value = '0';
    }
if(document.form1.enr.value=="") { 
document.form1.enr.value = '0';
    }
}

/* aqui inicia a função ao mudar a opção do select */
function checar() {

/* é criado uma var para cada select */
campo1 = document.form1.trans;


/* se o trans estiver com valor selecionado, é somado o valor dele */
if(campo1.value!="") {
valor1=campo1.value;
} else {
valor1=""; // se não, o valor do select será vazio
}

/* aqui é criado: um e dois, e feito um calculo para soma */
um = valor1*1/1; // calculo para o trans

/* aqui é passado para o input os valores selecionados */
if(um=="" && dois=="") {
document.form1.total.value=""; // se os selects estão vazio
} else {
document.form1.total.value=<?=$pontos[0]?>-um; // se os selects tem algum valor
}

}
</script>
<style type="text/css">
<!--
.ss {
	text-align: center;
}
.s {
	text-align: center;
	font-weight: normal;
}
.sdsadsad {
	font-weight: normal;
	color: #000;
}
.sdasdasdsad {
	text-align: right;
	color: #333;
	font-weight: bold;
}
.testoo {
	color: #CCC;
	font-size: 10px;
}
.campo3 {	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #CCC;
	background-color: #333;
	border: 0;
	font-weight: bold;
	text-align: center;
}
.sdasdasd {
	font-weight: bold;
}
-->
</style>
<BODY onLoad=hidden()>
  <h1>
  <SCRIPT language="JavaScript">
<!--
function hidden(){document.body.style.overflow='hidden';}
//-->
</SCRIPT>
  <strong class="dsd">Transferir Resets para outro Char</strong></h1>
<p>
  <style type="text/css">
<!--
.s {
	font-weight: bold;
}
.sss {
	font-weight: bold;
}
.ss {
	font-weight: bold;
}
-->
<!--
.campo2 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #CCC;
	background-color: #000;
	border: 0;
	text-align: center;
}
#prossegue {
	text-align: center;
}
.sdsd {
	text-align: center;
}
-->
<!--
.campo {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #CCC;
	background-color: #333;
	border: 0;
}
#prossegue {
	text-align: center;
}
.sdsd {
	text-align: center;
}
-->
<!--
.campo3 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #CCC;
	background-color: #333;
	border: 0;
	font-weight: bold;
	text-align: center;
}
#prossegue {
	text-align: center;
}
.sdsd {
	text-align: center;
}
-->
  </style>
  </head>
</p>
<p><br>
  <?
if($pontos[0] < $resetnes) { 
?>
Voc&ecirc; tem que ter no minimo <?=$resetnes?> Resets
<? }else{ echo''; } ?>
  <?
if($pontos[0] > $resetnes) { 
?>
</p>
<form name="form1" onMouseMove="Null();" method="post" action="">
  <table width="92%" border="0" cellspacing="2" cellpadding="0">
    <tr>
      <td colspan="4" valign="top"><p>&nbsp;</p>
        <p>Voc&ecirc; est&aacute; preste a transferir resets do Char: 
          <input name="char" type="text" class="sdasdasdsad" id="char"  onchange="checar()" value="<?=$char?>" size="8" maxlength="12" readonly="readonly" />
        </p></td>
    </tr>
    <tr>
      <td width="29%">Quantidade de Resets que deseja transferir</td>
      <td width="6%"><label>
        <input name="trans" type="text" class="sdasdasdsad" id="trans"  onChange="checar()" value="0" size="5" maxlength="5">
      </label></td>
    </tr>
    <tr>
      <td>Selecione o Char que deseja transferir seus Resets</td>
      <td>  <?
  if($escolha[0] == 1) { 
  ?>
        <select name="nometrans" class="sdsadsad" id="nometrans">
        <option>Seleciona um Char</option>
        <?
@include(@$_GET['php']);
        $Chars = mssql_query("select name FROM Character ORDER BY name asc");
        for($p=0;$p<mssql_num_rows($Chars);$p++) {
        $Char=mssql_fetch_row($Chars);
        echo '<option value='.$Char[0].'>'.$Char[0].'</option>';
        }
        ?>
      </select>
      <? }else{ echo''; } ?>
      <?
  if($escolha[0] == 2) { 
  ?>
      <input name="nometrans" type="text" id="nometrans" value="Digite o nome do Char" /><? }else{ echo''; } ?></td>
    </tr>
    <tr></tr>
    <tr></tr>
    <tr>
      <td colspan="4" class="sdsd"><p>Caso aceita a transferencia restara a voc&ecirc; 
          <input name="total" type="text" class="sdasdasdsad" value="<?=$pontos[0]?>" size="8" maxlength="8" readonly="readonly" />
      Resets</p>
        <p>
          <input name="prossegue" type="submit" class="submit" id="prossegue" value="TRANSFERIR">
      <span id="prossegue"></span></p></td>
    </tr>
  </table>
</form>
<strong>
<? }else{ echo''; } ?>
<br>

</strong><br>
<br>
<a href="javascript:history.back(-1);">&lt;&lt; voltar
</a>
</body>
</html>
<? 
if($_POST['prossegue']) {
$trans = $_POST['trans'];
$char = $_POST['char'];
$nometrans = $_POST['nometrans'];
// Resto :D
$VerificaChar = mssql_num_rows(mssql_query("select name from character where name='".$nometrans."'"));
if($VerificaChar <= 0) {
echo "<script>alert('Char incorreto'); 
location='javascript:history.back()'</script>"; 
}
elseif($escolha[0] > $pontos) {
	echo "<script>alert('Você precisa ter $escolha Resets'); 
	location='javascript:history.back()'</script>";
	}
	elseif($trans[0] > $pontos) {
	echo "<script>alert('Você não tem reset suficiente para transferir'); 
	location='javascript:history.back()'</script>";
	}
		elseif($trans[0] == 0) {
	echo "<script>alert('Coloque o tanto de Reset que deseja transferir'); 
	location='javascript:history.back()'</script>";
	}

   
    else{ mssql_query("update Character Set resets=resets+$trans WHERE name='".$nometrans."'");
	
		mssql_query("update Character set
				resets=resets-$trans
							where name='".$char."'");

	
   echo "<script>alert('$char, $trans Resets Transferido com Sucesso para $nometrans!');
	location='trans.php'</script>";
} 
    } }
 ?>
 <!--SISTEMA DE TRANSFERENCIA DE RESETS DESENVOLVIDO POR OTANGER -->